<!DOCTYPE REFENTRY PUBLIC "-//Sun Microsystems//DTD DocBook V3.0-Based SolBook Subset V2.0//EN" [
<!--ArborText, Inc., 1988-1999, v.4002-->
<!--ARC : LSARC 2008/375  Meta Tracker -->
<!ENTITY cmd "tracker-indexer">
<!ENTITY % commonents SYSTEM "smancommon.ent">
%commonents;
<!ENTITY % booktitles SYSTEM "booktitles.ent">
%booktitles;
<!ENTITY suncopy "Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved.">
]>
<?Pub UDT _bookmark _target>
<?Pub Inc>
<refentry id="tracker-indexer-1">
<!-- %Z%%M% %I% %E% SMI; -->
<refmeta><refentrytitle>tracker-indexer</refentrytitle><manvolnum>1</manvolnum>
  <refmiscinfo class="date">24 Oct 2009</refmiscinfo>
  <refmiscinfo class="sectdesc">&man1;</refmiscinfo>
  <refmiscinfo class="software">&release;</refmiscinfo>
  <refmiscinfo class="arch">generic</refmiscinfo>
  <refmiscinfo class="copyright">&suncopy;</refmiscinfo>
  </refmeta>

<indexterm><primary>
  tracker-indexer</primary></indexterm>
<indexterm><primary>
    start the tracker indexer 
  </primary></indexterm>

<refnamediv id="tracker-indexer-1-name">
  <refname>tracker-indexer</refname>
  <refpurpose>
    start the tracker indexer
    </refpurpose></refnamediv>

<refsynopsisdiv id="tracker-indexer-1-synp">
  <title>&synp-tt;</title>
  <cmdsynopsis><command>&cmd;</command>
    <arg choice="opt"><option>options</option></arg>
    </cmdsynopsis></refsynopsisdiv>
  <para>Use "tracker-indexer -h" to display a complete list of current options.
    </para>

<refsect1 id="tracker-indexer-1-desc"><title>&desc-tt;</title>
  <para>tracker-indexer is a daemon to handle request to index files to extract their metadata ,and store these metadata into database.
  </para> </refsect1>

<refsect1 id="tracker-indexer-1-opts"><title>&opts-tt;</title>
<para>Command line options are:
  -V, --version         Displays version information
  -v, --verbosity       Logging, 0 = errors only, 1 = minimal, 2 = detailed and 3 = debug (default = 0)
  -p, --process-all     Index data from all enabled modules
  -f, --run-forever     Run forever, only interesting for debugging purposes
  -m, --modules         Modules to be used when processing data

</para>
</refsect1>

<refsect1 id="tracker-indexer-1-attr"><title>&attr-tt;</title>
  <para>See <olink targetdocent="REFMAN5" localinfo="attributes-5"><citerefentry>
    <refentrytitle>attributes</refentrytitle><manvolnum>5</manvolnum></citerefentry></olink>
    for descriptions of the following attributes:</para>

  <informaltable frame="all">
    <tgroup cols="2" colsep="1" rowsep="1"><colspec colname="COLSPEC0" colwidth="1*">
    <colspec colname="COLSPEC1" colwidth="1*">
    <thead>
      <row>
        <entry align="center" valign="middle">ATTRIBUTE TYPE</entry>
        <entry align="center" valign="middle">ATTRIBUTE VALUE</entry></row> </thead>
    <tbody>
      <row>
        <entry><para>Availability</para></entry><entry><para>library/desktop/search/tracker</para></entry></row>
      <row>
        <entry colname="COLSPEC0"><para>Interface stability</para></entry>
        <entry colname="COLSPEC1"><para>Volatile</para></entry></row> </tbody> </tgroup> </informaltable> </refsect1>

<refsect1 id="tracker-indexer-1-also"><title>&also-tt;</title>
  <!--Reference to another man page-->
  <!--Reference to a Help manual-->
  <!--Reference to a book.-->
  <para>
    <citerefentry><refentrytitle>trackerd</refentrytitle><manvolnum>1</manvolnum></citerefentry>,
    <citerefentry><refentrytitle>attributes</refentrytitle><manvolnum>5</manvolnum></citerefentry> </para>
  <para>
    <citetitle>Tracker Website</citetitle>,
    <literal>http://projects.gnome.org/tracker/</literal> </para> </refsect1>

<refsect1 id="tracker-indexer-1-note"><title>&note-tt;</title>
  <para>Authored by Jerry Tan  Sun Microsystems Inc., 2009.</para>
  </refsect1>
  </refentry>
